Subject: Re: [PATCH 08/13] t/helper: add zlib test-tool

From: Junio C Hamano <[email-masked]>
Date: Wed, 21 May 2025 06:44:17 -0700

Jeff King <[email-masked]> writes:

> I thought at first there might be an opportunity to also simplify some
> of the assignments, similar to 03e7c454e9 (unpack_loose_header():
> simplify next_out assignment, 2025-02-25), but I don't think so (in that
> commit the complication was that we inflated a little before hitting the
> loop).

Yeah, you're right.  This one was a bit simpler that everything is
done inside the loop.